# S7Connection

## `host` (string, required)

IP Address or hostname of the PLC to connect to

Example: `"192.168.2.60"`

## `port` (integer, required)

Port of the s7 device

Default: `102`

Example: `102`

## `rack` (integer)

The rack index, as part of the addressing scheme for SIMATIC PLCs. This may be fixed depending on your PLC.

Default: `0`

Example: `0`

## `slot` (integer)

The slot index, as part of the addressing scheme for SIMATIC PLCs. This may be fixed depending on your PLC.

Default: `1`

Example: `1`

## `pollInterval` (integer)

The polling interval for reading data. This is implemented as a best-effort polling, if reading is slower than the interval, you should expect that data is coming at a slightly lower rate.

Default: `1000`

Example: `2000`

## `probeInterval` (integer)

Interval to check if connection is still there

Default: `2000`

Example: `2000`

## `writingHighWaterMark` (integer)

Defines a threshold for the internal write queue. When reached, a warning is issued.

Default: `100`

Example: `1000`

Additional restrictions:

* Minimum: `1`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-7-2/documentation/industry-protocol-details/siemens-simatic-s7/s7connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
